Debian Bug report logs - #642164
libpadre-plugin-vi-perl: FTBFS: tests failures

version graph

Package: src:libpadre-plugin-vi-perl; Maintainer for src:libpadre-plugin-vi-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>;

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Mon, 19 Sep 2011 22:18:47 UTC

Severity: serious

Tags: upstream, wontfix

Found in version libpadre-plugin-vi-perl/0.23.0-3

Fixed in version 0.23.0-3+rm

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://padre.perlide.org/trac/ticket/1386

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#642164; Package src:libpadre-plugin-vi-perl. (Mon, 19 Sep 2011 22:18:49 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Mon, 19 Sep 2011 22:18:49 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: submit@bugs.debian.org
Subject: libpadre-plugin-vi-perl: FTBFS: tests failures
Date: Mon, 19 Sep 2011 22:19:48 +0100
Source: libpadre-plugin-vi-perl
Version: 0.23.0-3
Severity: serious
Justification: FTBFS

This package FTBFS for me in a clean sid chroot:

Warning: prerequisite Wx::Perl::Dialog 0.04 not found.
...
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'inc', 'blib/lib', 'blib/arch')" t/*.t
Xlib:  extension "RANDR" missing on display ":99".
Can't locate Padre/Wx/Dialog.pm in @INC (@INC contains: /build/dom-libpadre-plugin-vi-perl_0.23.0-3-i386-Nbp_Nl/libpadre-plugin-vi-perl-0.23.0/inc /build/dom-libpadre-plugin-vi-perl_0.23.0-3-i386-Nbp_Nl/libpadre-plugin-vi-perl-0.23.0/blib/lib /build/dom-libpadre-plugin-vi-perl_0.23.0-3-i386-Nbp_Nl/libpadre-plugin-vi-perl-0.23.0/blib/arch /etc/perl /usr/local/lib/perl/5.12.4 /usr/local/share/perl/5.12.4 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.12 /usr/share/perl/5.12 /usr/local/lib/site_perl .) at /build/dom-libpadre-plugin-vi-perl_0.23.0-3-i386-Nbp_Nl/libpadre-plugin-vi-perl-0.23.0/blib/lib/Padre/Plugin/Vi/CommandLine.pm line 7.
BEGIN failed--compilation aborted at /build/dom-libpadre-plugin-vi-perl_0.23.0-3-i386-Nbp_Nl/libpadre-plugin-vi-perl-0.23.0/blib/lib/Padre/Plugin/Vi/CommandLine.pm line 7.
Compilation failed in require at /build/dom-libpadre-plugin-vi-perl_0.23.0-3-i386-Nbp_Nl/libpadre-plugin-vi-perl-0.23.0/blib/lib/Padre/Plugin/Vi/Editor.pm line 9.
BEGIN failed--compilation aborted at /build/dom-libpadre-plugin-vi-perl_0.23.0-3-i386-Nbp_Nl/libpadre-plugin-vi-perl-0.23.0/blib/lib/Padre/Plugin/Vi/Editor.pm line 9.
Compilation failed in require at t/00-load.t line 10.
BEGIN failed--compilation aborted at t/00-load.t line 10.
t/00-load.t .. 
Dubious, test returned 2 (wstat 512, 0x200)
No subtests run 
t/10-tab.t ... ok

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Set Bug forwarded-to-address to 'http://padre.perlide.org/trac/ticket/1386'. Request was from Dominique Dumont <dod@debian.org> to control@bugs.debian.org. (Tue, 24 Jan 2012 17:51:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#642164; Package src:libpadre-plugin-vi-perl. (Tue, 24 Jan 2012 17:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominique Dumont <domi.dumont@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Tue, 24 Jan 2012 17:57:03 GMT) Full text and rfc822 format available.

Message #12 received at 642164@bugs.debian.org (full text, mbox):

From: Dominique Dumont <domi.dumont@free.fr>
To: 642164@bugs.debian.org, debian-perl@lists.debian.org
Subject: Padre::Plugin::Vi is mostly dead upstream
Date: Tue, 24 Jan 2012 18:54:57 +0100
[Message part 1 (text/plain, inline)]
Hello

According to http://padre.perlide.org/trac/wiki/Plugins , this plugin does not 
work and is no longer maintained upstream.

So I recommend to remove this package from Debian.

Unless someone objects before Feb, 15th (and takes over upstream development), 
I'll ask for removal.

All the best

Dominique
--
http://config-model.wiki.sourceforge.net/ -o- http://search.cpan.org/~ddumont/
http://www.ohloh.net/accounts/ddumont     -o- http://ddumont.wordpress.com/
[signature.asc (application/pgp-signature, inline)]

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 30 Jan 2012 21:16:48 GMT) Full text and rfc822 format available.

Removed tag(s) fixed-upstream. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Wed, 01 Feb 2012 18:39:03 GMT) Full text and rfc822 format available.

Added tag(s) upstream and wontfix. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Wed, 01 Feb 2012 18:39:03 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Mon, 02 Dec 2013 17:42:37 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Mon, 02 Dec 2013 17:42:37 GMT) Full text and rfc822 format available.

Message #23 received at 642164-done@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 642164-done@bugs.debian.org
Subject: Re: Bug#642164: Padre::Plugin::Vi is mostly dead upstream
Date: Mon, 2 Dec 2013 18:40:08 +0100
[Message part 1 (text/plain, inline)]
Version: 0.23.0-3+rm

On Tue, 24 Jan 2012 18:54:57 +0100, Dominique Dumont wrote:

> According to http://padre.perlide.org/trac/wiki/Plugins , this plugin does not 
> work and is no longer maintained upstream.
> 
> So I recommend to remove this package from Debian.
> 
> Unless someone objects before Feb, 15th (and takes over upstream development), 
> I'll ask for removal.

The package was removed in February 2012, so closing the bug.

Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Flying Pickets: Englishman In New York
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 31 Dec 2013 07:43:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 05:46:19 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.